Skip to main content
GET
/
workspaces
/
{keyOrId}
Get a workspace
curl --request GET \
  --url https://api.qlty.sh/workspaces/{keyOrId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "1c47b6fd-db56-4fbd-9cf0-4d88f9631050",
  "key": "acmeco",
  "avatarUrl": "https://assets.github.com/acmeco.png",
  "providerUrl": "https://github.com/acmeco",
  "createdAt": "2023-01-15T08:30:00Z",
  "updatedAt": "2023-02-20T14:45:00Z"
}

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Path Parameters

keyOrId
string
required

The key or ID of the Workspace to retrieve

Response

Successful response

id
string
required

The UUID of the Workspace

key
string
required

The unique key identifier for the Workspace

avatarUrl
string
required

URL to the Workspace's avatar or logo image

providerUrl
string
required

URL to the Workspace on the provider platform (e.g., GitHub organization URL)

createdAt
string<date-time>
required

Timestamp when the Workspace was created

updatedAt
string<date-time>
required

Timestamp when the Workspace was last updated